
package w83b.w83bOperacionesInternas.w83bMantenimientos.w83bPlantillas;


import w83b.w83bBeans.W83bPlantillasBean;
import w83b.w83bUtilidades.W83bUtilidadesComunes;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author jrgil
 *
 */
public class W83bRTFPlantillaDetalleOIAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{
		
		
		String codSelec = (String)contexto.get("codSelec");
		W83bPlantillasBean plantillaBean = (W83bPlantillasBean)contexto.get("w83bPlantillasNuevoBean");
		plantillaBean.setPlantTramFase(codSelec);
		
		contexto.set("w83bPlantillasNuevoBean",plantillaBean);						
		super.preProcessMappingEntrada(contexto, configBean, errors);	
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		W83bPlantillasBean plantillaBean = (W83bPlantillasBean)contexto.get("w83bPlantillasNuevoBean");
			
		contexto.set("w83bPlantillasNuevoBean",plantillaBean);		
		contexto.set("w83bPlantillasNuevoTempBean",contexto.get("w83bPlantillasNuevoBean"));	
		
		if(plantillaBean.getFicheroRecibido()==null){
			W83bUtilidadesComunes.anyadirMensajeErrorAplicacion(errors, "error.mensaje.ficheroPlantilla", (String)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
		}
		
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
